VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Attributes | List of all members
KeyswitchInfo Struct Reference

KeyswitchInfo is the structure describing a key switch This structure is used by the method getKeyswitchInfo. More...

`#include <ivstnoteexpression.h>`

## Public Attributes
KeyswitchTypeID | typeId
| see KeyswitchTypeID
String128 | title
| name of key switch (e.g. "Accentuation")
String128 | shortTitle
| short title (e.g. "Acc")
int32 | keyswitchMin
| associated main key switch min (value between [0, 127])
int32 | keyswitchMax
| associated main key switch max (value between [0, 127])
int32 | keyRemapped
int32 | unitId
| optional remapped key switch (default -1), the plug-in could provide one remapped key for a key switch (allowing better location on the keyboard of the key switches)
int32 | flags
| not yet used (set to 0)

## Detailed Description

KeyswitchInfo is the structure describing a key switch This structure is used by the method getKeyswitchInfo.

See also
  IKeyswitchController

## Member Data Documentation

## ◆ typeId

KeyswitchTypeID typeId

see KeyswitchTypeID

## ◆ title

String128 title

name of key switch (e.g. "Accentuation")

## ◆ shortTitle

String128 shortTitle

short title (e.g. "Acc")

## ◆ keyswitchMin

int32 keyswitchMin

associated main key switch min (value between [0, 127])

## ◆ keyswitchMax

int32 keyswitchMax

associated main key switch max (value between [0, 127])

## ◆ keyRemapped

int32 keyRemapped

## ◆ unitId

int32 unitId

optional remapped key switch (default -1), the plug-in could provide one remapped key for a key switch (allowing better location on the keyboard of the key switches)

id of unit this key switch belongs to (see vst3Units), -1 means no unit used.

## ◆ flags

int32 flags

not yet used (set to 0)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.